Validate verifier
Roles
/v1/ecosystems/verifier-validationValidates that a verifier is allowed to verify a specific credential format according to the ecosystem policy.
Analytics events
- ECOSYSTEM_VALIDATE_PARTICIPANT_START
- ECOSYSTEM_VALIDATE_PARTICIPANT_SUCCESS
- ECOSYSTEM_VALIDATE_PARTICIPANT_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The credential profile to be validated against the ecosystem policy.
"compact" | "compact-semantic" | "web-semantic"The participant's (issuer/verifier) identifier for issuing/verifying the provided credential format.
The credential type.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/verifier-validation" \ -H "Content-Type: application/json" \ -d '{ "profile": "compact", "identifier": "did:example:abcdb1f712ebc6f1c276e12ec21" }'{
"validated": true,
"policyVersion": "1698371362017",
"identifier": "did:example:abcdb1f712ebc6f1c276e12ec21"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Validate issuer POST
Validates that an issuer is allowed to issue a specific credential format according to the ecosystem policy. ### **Analytics events** * ECOSYSTEM_VALIDATE_PARTICIPANT_START * ECOSYSTEM_VALIDATE_PARTICIPANT_SUCCESS * ECOSYSTEM_VALIDATE_PARTICIPANT_FAIL
Publish policy POST
Publish a new version of the ecosystem policy. Only active and currently valid participants and IACA certificates are included in the policy. ### **Analytic events** * ECOSYSTEM_POLICY_CREATE_START * ECOSYSTEM_POLICY_CREATE_SUCCESS * ECOSYSTEM_POLICY_CREATE_FAIL